Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 655372 - media-gfx/engauge-10.6 fails to install : bin/documentation/engauge.qch is missing
Summary: media-gfx/engauge-10.6 fails to install : bin/documentation/engauge.qch is mi...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-10 07:04 UTC by Helmut Jarausch
Modified: 2021-01-09 17:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build log xz-compressed (engauge-10.6.build.xz,9.49 KB, application/octet-stream)
2018-05-13 19:59 UTC, Helmut Jarausch
Details
emerge --info (xz-compressed) (engauge_emerge.info.xz,8.54 KB, application/octet-stream)
2018-05-13 20:00 UTC, Helmut Jarausch
Details
emerge-info.txt (emerge-info.txt,16.55 KB, text/plain)
2018-05-14 18:42 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,207.34 KB, text/plain)
2018-05-14 18:42 UTC, Toralf Förster
Details
environment (environment,92.17 KB, text/plain)
2018-05-14 18:42 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.23 KB, application/x-bzip)
2018-05-14 18:42 UTC, Toralf Förster
Details
media-gfx:engauge-10.6:20180514-182221.log (media-gfx:engauge-10.6:20180514-182221.log,922.60 KB, text/plain)
2018-05-14 18:42 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,32.96 KB, application/x-bzip)
2018-05-14 18:42 UTC, Toralf Förster
Details
fixed ebuild for new version 10.7 (engauge-10.7.ebuild,2.23 KB, text/plain)
2018-06-16 16:28 UTC, Helmut Jarausch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Helmut Jarausch 2018-05-10 07:04:12 UTC
The install phase of engauge-10.6 fails with
>>> Install engauge-10.6 into /var/tmp/portage/media-gfx/engauge-10.6/image/ category media-gfx
Traceback (most recent call last):
  File "/usr/lib/portage/python3.6/doins.py", line 611, in <module>
    sys.exit(main(sys.argv[1:]))
  File "/usr/lib/portage/python3.6/doins.py", line 602, in main
    os.path.dirname(source)):
  File "/usr/lib/portage/python3.6/doins.py", line 450, in _doins
    return install_runner.install_file(source, os.path.dirname(dest))
  File "/usr/lib/portage/python3.6/doins.py", line 386, in install_file
    return self._ins_runner.run(source, dest_dir)
  File "/usr/lib/portage/python3.6/doins.py", line 195, in run
    sstat = os.stat(source)
FileNotFoundError: [Errno 2] No such file or directory: b'bin/documentation/engauge.qch'
 * ERROR: media-gfx/engauge-10.6::gentoo failed (install phase):
 *   doins failed


---
The folder
/var/tmp/portage/media-gfx/engauge-10.6/work/engauge-digitizer-10.6/bin/documentation

is empty.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-05-13 18:07:20 UTC
Please provide emerge --info and build.log in order for this bug to progress.
Comment 2 Helmut Jarausch 2018-05-13 19:59:58 UTC
Created attachment 531268 [details]
build log  xz-compressed
Comment 3 Helmut Jarausch 2018-05-13 20:00:36 UTC
Created attachment 531270 [details]
emerge --info  (xz-compressed)
Comment 4 Toralf Förster gentoo-dev 2018-05-14 18:42:01 UTC
appeared recently at the tinderbox image 17.0-desktop-plasma-systemd_20180508-183531
Comment 5 Toralf Förster gentoo-dev 2018-05-14 18:42:04 UTC
Created attachment 531412 [details]
emerge-info.txt
Comment 6 Toralf Förster gentoo-dev 2018-05-14 18:42:07 UTC
Created attachment 531414 [details]
emerge-history.txt
Comment 7 Toralf Förster gentoo-dev 2018-05-14 18:42:10 UTC
Created attachment 531416 [details]
environment
Comment 8 Toralf Förster gentoo-dev 2018-05-14 18:42:13 UTC
Created attachment 531418 [details]
etc.portage.tbz2
Comment 9 Toralf Förster gentoo-dev 2018-05-14 18:42:17 UTC
Created attachment 531420 [details]
media-gfx:engauge-10.6:20180514-182221.log
Comment 10 Toralf Förster gentoo-dev 2018-05-14 18:42:20 UTC
Created attachment 531422 [details]
temp.tbz2
Comment 11 Denis Dupeyron (RETIRED) gentoo-dev 2018-05-14 22:36:15 UTC
I can't reproduce the issue. Any help from the Qt team is appreciated.
Comment 12 Andreas Sturmlechner gentoo-dev 2018-05-18 18:32:50 UTC
(In reply to Denis Dupeyron from comment #11)
> I can't reproduce the issue. Any help from the Qt team is appreciated.

Me neither at first, but then I noticed a difference between our build.logs:

./build: /usr/share/bashdb/bashdb-main.inc: No such file or directory
./build: warning: cannot start debugger; debugging mode disabled

While toralf's:

stty: 'standard input': Inappropriate ioctl for device
stty: 'standard input': Inappropriate ioctl for device
bash debugger, bashdb, release 4.4-0.94


So engauge has at least an unhandled build time auto-dependency on app-shells/bashdb; but I was still able to build it successfully with bashdb present.
Comment 13 Helmut Jarausch 2018-06-12 15:47:13 UTC
Is there any progress? I still can't build engauge-10.6
Comment 14 Helmut Jarausch 2018-06-16 16:28:30 UTC
Created attachment 536062 [details]
fixed ebuild for new version 10.7
Comment 15 Andreas Sturmlechner gentoo-dev 2020-07-15 17:45:09 UTC
(In reply to Helmut Jarausch from comment #14)
> Created attachment 536062 [details]
> fixed ebuild for new version 10.7

What is the fix? Please always attach a unified diff over latest ebuild instead, so your changes can be examined from bugzilla.